Get all messages

get

/crmRestApi/resources/11.13.18.05/serviceRequests/{SrNumber}/child/messages

Request

Path Parameters
  • The unique number that is used to identify a service request. You can configure the service request number to a format that is best suitable to your organizational requirements. For example, service request may have the formats service request0000012345, service request_000_12345, 12345_00_service request, and so on depending on your requirements.
Query Parameters
  • This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2

    Format: <attr1>=<val1>,<attr2>=<value2>
  • When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
  • This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.

    Format: ?fields=Attribute1,Attribute2

    Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2
  • Used as a predefined finder to search the collection.

    Format: ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>

    The following are the available finder names and corresponding finder variables:

    • PrimaryKey: Finds the service request message using the message ID.
      Finder Variables:
      • MessageId; integer; The service request message ID passed as parameter to the finder service.
  • This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
  • This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>

    Example:
    self,canonical
  • Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
  • The resource item payload will be filtered in order to contain only data (no links section, for example).
  • This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
  • This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY

    Format: ?q=expression1;expression2

    You can use these queryable attributes to filter this collection resource using the q query parameter:
    • AILogLevelCd; string; Indicates the AI log level that the SR Message was captured at, such as NONE, INFO, and FINE.
    • ChannelTypeCd; string; The code indicating the channel type. For example, email, phone, social, and so on. A list of accepted values is defined in the lookup ORA_SVC_CHANNEL_TYPE_CD.
    • CreatedBy; string; The user who created the message.
    • CreatedByEmailAddress; string; The e-mail address of the person who created the service request message.
    • CreatedByPartyId; string; The unique identifier of the party of the user who created the service request message.
    • CreationDate; string; The date and time when the message was created.
    • FeedFlag; boolean; Indicates whether the SR Message should be pushed to the SR Feed. Values are Y and N.
    • HighPriorityFlag; boolean; Indicates the associated activity is of high-priority.
    • LastUpdateDate; string; The date and time when the message was last updated.
    • LastUpdateLogin; string; The session login associated with the user who last updated the message.
    • LastUpdatedBy; string; The user who last updated the message.
    • MessageCreatedBy; string; The user who created the message in the original source system. This is applicable if the service request message was imported from another system.
    • MessageExpandingState; integer; Indicates the message expanding state.
    • MessageId; integer; The unique identifier of the service request message.
    • MessageLastUpdateDate; string; The last updated date of the message in the original source system. This is applicable if the service request message was imported from another system.
    • MessageLastUpdateLogin; string; The login of the user who last update the message in the original source system. This is applicable if the service request message was imported from another system.
    • MessageLastUpdatedBy; string; The user who last update the message in the original source system. This is applicable if the service request message was imported from another system.
    • MessageNumber; string; The public unique identifier of the service request message.
    • MessageSubTypeCd; string; The service request message subtype.
    • MessageTypeCd; string; The code indicating the message type. The accepted values are Response, Customer Entry, System Note, System Response, and Internal Note. A list of accepted values is defined in the lookup ORA_SVC_MESSAGE_TYPE_CD.
    • NotificationProcessingStatusCd; string; The code indicating the status of the response notification. For example, Error, Success. A list of accepted values is defined in the lookup ORA_SVC_MESSAGE_PROCESS_CD.
    • NotificationRetryCount; integer; The number of times the system tried to send the SR message notification.
    • ObjectId; integer; The unique identifier of the object. Depending on the object type, indicates the service request id or the service request message id associated with the channel communication.
    • ObjectTypeCd; string; This field is reserved for internal use only.
    • OriginalSystemReference; string; The identifier of the message record in the original source system from where the message was imported. This is applicable if the service request message was imported from another system.
    • OriginationDate; string; The date the message was created in the original source system. This is applicable if the service request message was imported from another system.
    • ParentMessageId; integer; The unique identifier of the parent service request message.
    • PartyName; string; The Party name of the user who the posted the message. The user can be an internal resource or a customer contact.
    • PostedByPartyId; integer; The unique identifier of the user who the posted the message. The user can be an internal resource or a customer contact.
    • PostedByPartyNumber; string; The public unique identifier of the person posting the message on the service request.
    • PrivateInformationFlag; boolean; Indicates whether the message contains personally identifiable information.
    • ProcessingId; integer; The unique identifier of the processing.
    • ProcessingStatusCd; string; The code indicating the processing status of the message. The accepted values are Ready, Processing, Error, and Success.A list of accepted values is defined in the lookup ORA_SVC_MESSAGE_PROCESS_CD .
    • RichTextFlag; boolean; Indicates whether the message content is in rich text format. If the format is rich text, then the value is Y, else the value is N.
    • RootMessageId; integer; The identifier of the root message in the message hierarchy.
    • SentDate; string; The date and time when the message was sent.
    • SocialPrivateFlag; boolean; Indicates whether the message was created from a private social post.
    • SourceCd; string; The code indicating the source of the message. For example, Agent UI, Customer UI, and API. A list of accepted values is defined in the lookup ORA_SVC_SOURCE_CD.
    • SrBUOrgId; integer; The identifier of the business unit associated with the service request.
    • SrId; integer; The unique identifier of the service request to which the message is associated.
    • SrInlineAttachmentIds; string; The list of inline attachment identifiers associated with the service request
    • SrNumber; string; The public unique number of the a service request.
    • SrStripeCd; string; The application stripe of the service request.
    • StatusCd; string; The code indicating the status of the message. The accepted values are Draft, Committed, and Corrected.
    • Subject; string; The subject of the service request message.
    • TemplateName; string; The name of the template used to send an email response to a customer.
    • ThreadHierarchyLevel; integer; The level of the thread in the message hierarchy.
    • ThreadId; integer; The unique ID of the service request message thread.
    • VisibilityCd; string; The code indicating the privacy level of the message. The accepted values are Internal and External. Null value indicates that the message is External. A list of accepted values is defined in the lookup ORA_SVC_MESSAGE_VISIBILITY_CD.
  • The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.

There's no request body for this operation.

Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : serviceRequests-messages
Match All
Show Source
Nested Schema : __collection_context
Type: object
Show Source
Nested Schema : serviceRequests-messages-allOf[1]
Type: object
Show Source
Nested Schema : items
Type: array
Show Source
Nested Schema : serviceRequests-messages_item-response
Match All
Show Source
Nested Schema : oraCxServiceCoreSrMgmt.Message_item
Match All
Messages contain information about communication updates made to the service request. It keeps a record of messages from agents and workers.
Show Source
Nested Schema : oraCxServiceCoreSrMgmt.Message_item-fields
Type: object
Show Source
Nested Schema : Message
Type: object
Title: Message
Messages contain information about communication updates made to the service request. It keeps a record of messages from agents and workers.
Nested Schema : __busObj_context
Type: object
Show Source
Nested Schema : serviceRequests-messages_item-response-allOf[2]
Type: object
Show Source
Nested Schema : aiLogLevelCode
Match All
Indicates the AI log level that the SR Message was captured at, such as NONE, INFO, and FINE.
Show Source
  • Title: AI Log Level Code
    Read Only: true
    Indicates the AI log level that the SR Message was captured at, such as NONE, INFO, and FINE.
  • Allowed Values: [ "ORA_SVC_FINE", "ORA_SVC_INFO", "ORA_SVC_NONE" ]
Nested Schema : channelType
Match All
The channel type, such a email, phone, social, and so on.
Show Source
Nested Schema : messageSubType
Match All
The service request message subtype.
Show Source
Nested Schema : messageType
Match All
The message type. The accepted values are Response, Customer Entry, System Note, System Response, and Internal Note.
Show Source
Nested Schema : parentMessage
Match All
Show Source
Nested Schema : postedByParty
Match All
Show Source
Nested Schema : processingStatusCode
Match All
The processing status of the message. The accepted values are Ready, Processing, Error, and Success.
Show Source
  • Title: Processing Status
    Read Only: true
    The processing status of the message. The accepted values are Ready, Processing, Error, and Success.
  • Allowed Values: [ "ORA_SVC_BATCH_READY", "ORA_SVC_ERROR", "ORA_SVC_PENDING_RETRY", "ORA_SVC_PROCESSING", "ORA_SVC_READY", "ORA_SVC_REPROCESSING", "ORA_SVC_SETUP_ERROR", "ORA_SVC_SUCCESS", "ORA_SVC_WAITING" ]
Nested Schema : serviceRequest
Match All
The service requests resource is used to view, create, update, and delete service requests. A service request is a document to track a request from a worker for a service from the time the worker makes the request until the request is resolved.
Show Source
Nested Schema : source
Match All
The source of the message.
Show Source
Nested Schema : statusCode
Match All
The status of the message. The accepted values are Draft, Committed, and Corrected.
Show Source
  • Title: Status Code
    Read Only: true
    The status of the message. The accepted values are Draft, Committed, and Corrected.
  • Allowed Values: [ "ORA_SVC_DRAFT", "ORA_SVC_CORRECTED", "ORA_SVC_COMMITTED" ]
Nested Schema : visibilityCode
Match All
The privacy level of the message. The accepted values are Internal and External. Null value indicates that the message is External.
Show Source
  • Title: Visibility Code
    Read Only: true
    The privacy level of the message. The accepted values are Internal and External. Null value indicates that the message is External.
  • Allowed Values: [ "ORA_SVC_EXTERNAL", "ORA_SVC_INTERNAL" ]
Nested Schema : oraCommonAppsInfraObjects.StandardLookupCode_item-fields
Match All
Show Source
Nested Schema : oraCommonAppsInfraObjects.StandardLookupCode_abstract-item
Match All
Show Source
Nested Schema : oraCommonAppsInfraObjects.StandardLookupCode_abstract-item-allOf[0]
Type: object
Show Source
Nested Schema : oraCommonAppsInfraObjects.LookupCode_abstract-item
Type: object
Show Source
Nested Schema : oraCommonAppsInfraObjects.StandardLookupCode_item-fields-allOf[1]
Type: object
Show Source
Nested Schema : Channel Type
Type: object
Title: Channel Type
The channel type, such a email, phone, social, and so on.
Nested Schema : owningType
Match All
The standard lookup types list of values resource is used to query the list of standard lookup types.
Show Source
Nested Schema : oraCommonAppsInfraObjects.StandardLookupType_item-fields
Match All
Show Source
Nested Schema : oraCommonAppsInfraObjects.LookupType_abstract-item
Type: object
Show Source
Nested Schema : oraCommonAppsInfraObjects.StandardLookupType_item-fields-allOf[1]
Type: object
Show Source
Nested Schema : Standard Lookup Type
Type: object
Title: Standard Lookup Type
The standard lookup types list of values resource is used to query the list of standard lookup types.
Nested Schema : configurationLevel
Match All
Show Source
Nested Schema : restAccessSecured
Match All
Show Source
  • Read Only: true
  • Allowed Values: [ "ANON", "AUTH", "SECURE" ]
Nested Schema : taxonomyNode
Match All
The taxonomy node list of values resource is used to query the taxonomy nodes.
Show Source
Nested Schema : oraCommonAppsInfraObjects.TaxonomyNode_item-fields
Match All
Show Source
Nested Schema : oraCommonAppsInfraObjects.TaxonomyNode_abstract-item
Type: object
Show Source
Nested Schema : oraCommonAppsInfraObjects.TaxonomyNode_item-fields-allOf[1]
Type: object
Show Source
Nested Schema : Taxonomy Node
Type: object
Title: Taxonomy Node
The taxonomy node list of values resource is used to query the taxonomy nodes.
Nested Schema : hierarchySource
Match All
The taxonomy hierarchy represents relationships between taxonomy nodes.
Show Source
Nested Schema : moduleType
Match All
Show Source
  • Read Only: true
  • Allowed Values: [ "APPLICATION", "LBA", "PAGE", "PRODUCT_LINE", "DELIVERY_ROOT", "FAMILY" ]
Nested Schema : oraCommonAppsInfraObjects.TaxonomyHierarchy_item-fields
Type: object
Show Source
Nested Schema : Taxonomy Hierarchy
Type: object
Title: Taxonomy Hierarchy
The taxonomy hierarchy represents relationships between taxonomy nodes.
Nested Schema : sourceNode
Match All
The taxonomy node list of values resource is used to query the taxonomy nodes.
Show Source
Nested Schema : targetNode
Match All
The taxonomy node list of values resource is used to query the taxonomy nodes.
Show Source
Nested Schema : Taxonomy Node
Type: object
Title: Taxonomy Node
The taxonomy node list of values resource is used to query the taxonomy nodes.
Nested Schema : $context
Type: object
Show Source
Nested Schema : Taxonomy Node
Type: object
Title: Taxonomy Node
The taxonomy node list of values resource is used to query the taxonomy nodes.
Nested Schema : Message Subtype
Type: object
Title: Message Subtype
The service request message subtype.
Nested Schema : Message Type Code
Type: object
Title: Message Type Code
The message type. The accepted values are Response, Customer Entry, System Note, System Response, and Internal Note.
Nested Schema : Parent Message
Type: object
Title: Parent Message
Nested Schema : oraCxServiceCoreCommon.ServicePerson_item-fields
Match All
Show Source
Nested Schema : oraCxServiceCoreCommon.ServicePerson_item-fields-allOf[0]
Type: object
Show Source
Nested Schema : oraCxSalesCommonParty.Party_abstract-item
Type: object
Show Source
Nested Schema : oraCxServiceCoreCommon.ServicePerson_item-fields-allOf[2]
Type: object
Show Source
  • Title: Party ID
    The unique identifier of the party.
  • Title: Party Name
    The name of the party.
  • Title: Registry ID
    The public key generated or user-entered for a given party.
  • Indicates the status of the contact point. The status codes are defined in the lookup HZ_STATUS. The default value is A.
Nested Schema : Posted by Party
Type: object
Title: Posted by Party
Nested Schema : status
Match All
Show Source
Nested Schema : oraCxServiceCoreSrMgmt.ServiceRequest_item-fields
Type: object
Show Source
Nested Schema : Base Request
Type: object
Title: Base Request
The service requests resource is used to view, create, update, and delete service requests. A service request is a document to track a request from a worker for a service from the time the worker makes the request until the request is resolved.
Nested Schema : assigneeResource
Match All
Show Source
Nested Schema : businessUnit
Match All
Show Source
Nested Schema : category
Match All
Show Source
Nested Schema : channelType
Match All
The channel type.
Show Source
Nested Schema : createdByParty
Match All
Show Source
Nested Schema : customer
Match All
Show Source
Nested Schema : installedBaseAsset
Match All
The unique identifier of the associated install base asset record.
Show Source
Nested Schema : internalPriority
Match All
The internal priority of the service request.
Show Source
Nested Schema : lastUpdatedByParty
Match All
Show Source
Nested Schema : ownerTypeCode
Match All
The type of the service request owner. For example, customer or partner.
Show Source
  • Title: Owner Type
    Read Only: true
    The type of the service request owner. For example, customer or partner.
  • Allowed Values: [ "ORA_SVC_CUSTOMER", "ORA_SVC_PARTNER" ]
Nested Schema : primaryContact
Match All
Show Source
Nested Schema : problemType
Match All
The problem code of the service request.
Show Source
Nested Schema : productGroup
Match All
Show Source
Nested Schema : productItem
Match All
Show Source
Nested Schema : queue
Match All
Show Source
Nested Schema : reportedByParty
Match All
Show Source
Nested Schema : resolution
Match All
The resolution code of the service request.
Show Source
Nested Schema : resolvedByParty
Match All
Show Source
Nested Schema : resolveOutcome
Match All
The outcome of a service request resolution.
Show Source
Nested Schema : severity
Match All
The severity of the service request.
Show Source
Nested Schema : source
Match All
Indicates how the service request was created.
Show Source
Nested Schema : sourceUpdatedByParty
Match All
Show Source
Nested Schema : status
Match All
The status code of the service request.
Show Source
Nested Schema : statusType
Match All
The status type of the service request.
Show Source
Nested Schema : transferReason
Match All
The lookup code that indicates the transfer reason.
Show Source
Nested Schema : oraCxSalesCommonResourceMgmt.Resource_item-fields
Type: object
Show Source
Nested Schema : Assignee Resource
Type: object
Title: Assignee Resource
Nested Schema : person
Match All
Show Source
Nested Schema : oraCxSalesCommonResourceMgmt.ResourcePerson_item
Match All
Resource Person records essential details pertaining to an individual within the resource framework.
Show Source
Nested Schema : oraCxSalesCommonResourceMgmt.ResourcePerson_item-fields
Match All
Show Source
Nested Schema : oraCxSalesCommonResourceMgmt.ResourcePerson_item-fields-allOf[0]
Type: object
Show Source
  • Title: Internal
    Read Only: true
    Default Value: false
    Indicates whether the person is an internal member of the organization. If Y, the person is an internal member. For example, employee or retired employee. If N they're an external person. For example, partner contact, supplier contact. Default value is set to N.
  • Title: Middle Name
    The middle name of the person.
  • Title: Name
    Read Only: true
    The combination of title, first, middle, last, and suffix names of the person.
Nested Schema : oraCxSalesCommonParty.Person_abstract-item
Type: object
Show Source
Nested Schema : oraCxSalesCommonResourceMgmt.ResourcePerson_item-fields-allOf[2]
Type: object
Show Source
  • Title: Comments
    The free text comments about the person.
  • Title: Do Not Call
    Indicates whether the person can be called or not. If the value is True, then the person must not be called. The default is False. A list of accepted values is defined using the lookup YES_NO.
  • Title: Do Not Contact
    Indicates whether the person can be contacted or not by phone, e-mail, or mail. If the value is True, then the person must not be contacted. The default is False. A list of accepted values is defined using the lookup YES_NO.
  • Title: Do Not Mail
    Indicates whether the person can be sent mail or not. If the value is True, then the person must not be sent mail. The default is False. A list of accepted values is defined using the lookup YES_NO.
  • Title: First Name
    First name of the person.
  • Title: Gender
    The gender of the person as identified by them. A list of accepted values are defined in the lookup HZ_GENDER.
  • Title: Person ID
    The unique identifier of the person profile.
  • Title: Job Title
    The free form text for job title of the person.
  • Title: Job Title Code
    The code given to the job title.
  • Title: Last Name
    The last name of the person.
  • Title: Preferred Contact Method
    The preferred communication method of a person. A list of accepted values is defined in the lookup HZ_PREFERRED_CONTACT_METHOD.
  • Title: Registry ID
    The alternate identifier of the contact.
  • Title: Salutation
    The phrase used to address a contact party in any correspondence.
  • Title: Prefix
    Contains titles or honorifics preceding a person's name, like Mr., Mrs., Ms., and so on. For example, Mr. in Mr. John Smith.
  • Title: Title
    A professional or family title, such as Don or The Right Honorable.
Nested Schema : Resource Person
Type: object
Title: Resource Person
Resource Person records essential details pertaining to an individual within the resource framework.
Nested Schema : gender
Match All
Show Source
Nested Schema : jobTitleCode
Match All
Show Source
  • Allowed Values: [ "ACCOUNTANT", "ACCOUNTS_PAYABLE_SPECIALIST", "ADMINISTRATOR", "ANALYST", "ARCHITECT", "ARTIST", "ASSISTANT", "ASSOCIATE", "ATTORNEY", "AUDITOR", "BROKER", "BUYER", "CEO", "CFO", "CHAIRMAN", "CIO", "CONSULTANT", "CONTRLR", "COO", "CTO", "DESIGNER", "DEVELOPER", "DIRECTOR", "EDITOR", "ENGINEER", "MANAGER", "OFFICER", "OPERATOR", "OWNER", "PARALEGAL", "PARTNER", "PHYSICIAN", "PLANNER", "PRESIDENT", "PRODUCER", "RECEPTIONIST", "REPORTER", "REPRESENTATIVE", "RESEARCHER", "STAFF", "SUPERVISOR", "TRAINER", "VICE PRESIDENT", "WRITER" ]
Nested Schema : preferredContactMethod
Match All
Show Source
Nested Schema : salutoryIntroduction
Match All
Show Source
Nested Schema : timezone
Match All
Show Source
Nested Schema : oraCommonAppsInfraObjects.Timezone_item
Match All
The time zones list of values resource is used to query the time zones.
Show Source
Nested Schema : oraCommonAppsInfraObjects.Timezone_item-fields
Type: object
Show Source
Nested Schema : Time Zone
Type: object
Title: Time Zone
The time zones list of values resource is used to query the time zones.
Nested Schema : timezone-allOf[2]
Type: object
Nested Schema : Business Unit
Type: object
Title: Business Unit
Nested Schema : Category
Type: object
Title: Category
Nested Schema : Channel Type
Type: object
Title: Channel Type
The channel type.
Nested Schema : Created by Party
Type: object
Title: Created by Party
Nested Schema : Customer
Type: object
Title: Customer
Nested Schema : Installed Base Asset ID
Type: object
Title: Installed Base Asset ID
The unique identifier of the associated install base asset record.
Nested Schema : Internal Priority Code
Type: object
Title: Internal Priority Code
The internal priority of the service request.
Nested Schema : Last Updated by Party
Type: object
Title: Last Updated by Party
Nested Schema : Primary Contact
Type: object
Title: Primary Contact
Nested Schema : Problem Type Code
Type: object
Title: Problem Type Code
The problem code of the service request.
Nested Schema : Product Group
Type: object
Title: Product Group
Nested Schema : Product
Type: object
Title: Product
Nested Schema : Queue
Type: object
Title: Queue
Nested Schema : Reported by Party
Type: object
Title: Reported by Party
Nested Schema : Resolution Code
Type: object
Title: Resolution Code
The resolution code of the service request.
Nested Schema : Resolved by Party
Type: object
Title: Resolved by Party
Nested Schema : Outcome
Type: object
Title: Outcome
The outcome of a service request resolution.
Nested Schema : Severity Code
Type: object
Title: Severity Code
The severity of the service request.
Nested Schema : Source Code
Type: object
Title: Source Code
Indicates how the service request was created.
Nested Schema : Source Updated by Party
Type: object
Title: Source Updated by Party
Nested Schema : Status
Type: object
Title: Status
The status code of the service request.
Nested Schema : Status Type
Type: object
Title: Status Type
The status type of the service request.
Nested Schema : Transfer Reason
Type: object
Title: Transfer Reason
The lookup code that indicates the transfer reason.
Nested Schema : Source Code
Type: object
Title: Source Code
The source of the message.
Nested Schema : serviceRequests-messages-_attachments
Match All
Show Source
Nested Schema : serviceRequests-messages-_attachments-allOf[1]
Type: object
Show Source
Nested Schema : items
Type: array
Show Source
Nested Schema : serviceRequests-messages-_attachments_item-response
Match All
Show Source
Nested Schema : oraCxServiceCoreSrMgmt.MessageAttachment_item
Match All
Message attachment contains information about files or documents attached to messages associated with a service request.
Show Source
Nested Schema : oraCxServiceCoreSrMgmt.MessageAttachment_item-fields
Match All
Show Source
Nested Schema : oraCxServiceCoreSrMgmt.MessageAttachment_item-fields-allOf[0]
Type: object
Show Source
Nested Schema : oraCommonAppsInfraAttachments.Attachment_abstract-item
Type: object
Show Source
Nested Schema : oraCxServiceCoreSrMgmt.MessageAttachment_item-fields-allOf[2]
Type: object
Show Source
Nested Schema : Service Request Message Attachment
Type: object
Title: Service Request Message Attachment
Message attachment contains information about files or documents attached to messages associated with a service request.
Nested Schema : category
Match All
The category of the attachment.
Show Source
  • Title: Category
    Default Value: MISC
    The category of the attachment.
  • Allowed Values: [ "SVC_INLINE", "SVC_INTERNAL", "MISC" ]
Nested Schema : document
Match All
The name of the accessor used to retrieve the document.
Show Source
Nested Schema : oraCommonAppsInfraAttachments.Document_item-fields
Match All
Show Source
Nested Schema : oraCommonAppsInfraAttachments.Document_abstract-item
Type: object
Show Source
Nested Schema : oraCommonAppsInfraAttachments.Document_item-fields-allOf[1]
Type: object
Show Source
Nested Schema : Document Accessor
Type: object
Title: Document Accessor
The name of the accessor used to retrieve the document.
Nested Schema : chunkingDirectives
Type: object
Show Source
Nested Schema : downloadParameters
Type: object
Show Source
Nested Schema : latestDocument
Match All
The latest version of the attached document.
Show Source
Nested Schema : type
Match All
Show Source
  • Allowed Values: [ "FILE", "WEB_PAGE", "TMURI", "TEXT" ]
Nested Schema : undoCheckOutParameters
Type: object
Show Source
Nested Schema : uploadParameters
Type: object
Show Source
Nested Schema : chunkCount
Match All
The required number of chunked files to be uploaded to the content server.
Show Source
Nested Schema : chunkSize
Match All
The required size of each chunked file to be uploaded to the content server.
Show Source
Nested Schema : prefix
Match All
The prefix used in the file names of the chunked files.
Show Source
  • Title: Document
    The prefix used in the file names of the chunked files.
Nested Schema : version
Match All
The version of a file type document.
Show Source
  • Title: Version
    Read Only: true
    The version of a file type document.
Nested Schema : XFND_CERT_FP
Match All
Show Source
Nested Schema : XFND_EXPIRES
Match All
Show Source
Nested Schema : XFND_RANDOM
Match All
Show Source
Nested Schema : XFND_SCHEME_ID
Match All
Show Source
Nested Schema : XFND_SIGNATURE
Match All
Show Source
Nested Schema : Latest Document
Type: object
Title: Latest Document
The latest version of the attached document.
Nested Schema : Document
Type: object
Title: Document
Directives for customers uploading chunked files.
Nested Schema : Download Parameters
Type: object
Title: Download Parameters
Used to get the parameters required to download a file type document.
Nested Schema : Undo Check Out Parameters
Type: object
Title: Undo Check Out Parameters
Used to get the parameters required to undo the checkout of a document.
Nested Schema : Upload Parameters
Type: object
Title: Upload Parameters
Used to get the parameters required to upload a file type document.
Nested Schema : version
Match All
The version of a file type document.
Show Source
  • Title: Version
    Read Only: true
    The version of a file type document.
Nested Schema : XFND_CERT_FP
Match All
Show Source
Nested Schema : XFND_EXPIRES
Match All
Show Source
Nested Schema : XFND_RANDOM
Match All
Show Source
Nested Schema : XFND_SCHEME_ID
Match All
Show Source
Nested Schema : XFND_SIGNATURE
Match All
Show Source
Nested Schema : XFND_CERT_FP
Match All
Show Source
Nested Schema : XFND_EXPIRES
Match All
Show Source
Nested Schema : XFND_RANDOM
Match All
Show Source
Nested Schema : XFND_SCHEME_ID
Match All
Show Source
Nested Schema : XFND_SIGNATURE
Match All
Show Source
Back to Top

Examples

The following example shows how to get all messages by submitting a GET request on the REST resource.

Example of Request Header

The following shows an example of the request header.

GET /crmRestApi/resources/11.13.18.05/serviceRequests/SR0000066002/child/messages

Example of Response Header

The following shows an example of the response header.

HTTP/1.1 200 OK
Date: Wed, 20 Sep 2016 11:07:50 GMT
Server: Oracle-HTTP-Server-11g
Content-Type: application/vnd.oracle.adf.resourceitem+json
Content-Language: en

Example of Response Body

The following example shows the contents of the response body in JSON format.

{
  "items": [
    {
      "MessageId": 300100092156944,
      "CreationDate": "2016-09-08T03:54:03-07:00",
      "CreatedBy": "SALES_REPRESENTATIVE",
      "LastUpdateDate": "2016-09-08T03:54:58-07:00",
      "LastUpdatedBy": "SALES_REPRESENTATIVE",
      "LastUpdateLogin": "3BFA3959A2B535C9E053780CF10A6512",
      "SrId": 300100092156941,
      "MessageTypeCd": "ORA_SVC_FORWARD",
      "ChannelTypeCd": "ORA_SVC_EMAIL",
      "ChannelId": "2",
      "PostedByPartyId": 100010032635399,
      "RichTextFlag": true,
      "SourceCd": null,
      "StatusCd": "ORA_SVC_COMMITTED",
      "ProcessingStatusCd": "ORA_SVC_READY",
      "VisibilityCd": null,
      "SentDate": null,
      "OriginationDate": "2016-09-08T03:54:03-07:00",
      "MessageCreatedBy": "SALES_REPRESENTATIVE",
      "MessageLastUpdateDate": "2016-09-08T03:54:03-07:00",
      "MessageLastUpdatedBy": "SALES_REPRESENTATIVE",
      "MessageLastUpdateLogin": "3BFA3959A2B535C9E053780CF10A6512",
      "OriginalSystemReference": null,
      "PartyName": "Dan Foreman",
      "links": [
        {
          "rel": "self",
          "href": "http://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/serviceRequests/SR0000066002/child/messages/300100092156944",
          "name": "messages",
          "kind": "item",
          "properties": {
            "changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000002737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B020000787200106A6176612E6C616E672E4F626A656374000000000000000000000078700000000178"
          }
        },
        {
          "rel": "canonical",
          "href": "http://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/serviceRequests/SR0000066002/child/messages/300100092156944",
          "name": "messages",
          "kind": "item"
        },
        {
          "rel": "parent",
          "href": "http://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/serviceRequests/SR0000066002",
          "name": "serviceRequests",
          "kind": "item"
        },
        {
          "rel": "lov",
          "href": "http://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/serviceRequests/SR0000066002/child/messages/300100092156944/lov/SourceCdLookup",
          "name": "SourceCdLookup",
          "kind": "collection"
        },
       . . .
      ]
    },
    {
      "MessageId": 300100092156943,
      "CreationDate": "2016-09-08T03:53:36-07:00",
      "CreatedBy": "SALES_REPRESENTATIVE",
      "LastUpdateDate": "2016-09-08T03:53:54-07:00",
      "LastUpdatedBy": "SALES_REPRESENTATIVE",
      "LastUpdateLogin": "3BFA3959A2B535C9E053780CF10A6512",
      "SrId": 300100092156941,
      "MessageTypeCd": "ORA_SVC_CUSTOMER_ENTRY",
      "ChannelTypeCd": null,
      "ChannelId": null,
      "PostedByPartyId": 100010032635399,
      "RichTextFlag": true,
      "SourceCd": null,
      "StatusCd": "ORA_SVC_COMMITTED",
      "ProcessingStatusCd": "ORA_SVC_READY",
      "VisibilityCd": null,
      "SentDate": null,
      "OriginationDate": "2016-09-08T03:53:36-07:00",
      "MessageCreatedBy": "SALES_REPRESENTATIVE",
      "MessageLastUpdateDate": "2016-09-08T03:53:36-07:00",
      "MessageLastUpdatedBy": "SALES_REPRESENTATIVE",
      "MessageLastUpdateLogin": "3BFA3959A2B535C9E053780CF10A6512",
      "OriginalSystemReference": null,
      "PartyName": "Dan Foreman",
      "links": [
        {
          "rel": "self",
          "href": "http://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/serviceRequests/SR0000066002/child/messages/300100092156943",
          "name": "messages",
          "kind": "item",
          "properties": {
            "changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000002737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B020000787200106A6176612E6C616E672E4F626A656374000000000000000000000078700000000178"
          }
        },
        {
          "rel": "canonical",
          "href": "http://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/serviceRequests/SR0000066002/child/messages/300100092156943",
          "name": "messages",
          "kind": "item"
        },
        {
          "rel": "parent",
          "href": "http://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/serviceRequests/SR0000066002",
          "name": "serviceRequests",
          "kind": "item"
        },
       . . . 
     ]
    }
  ],
  "count": 2,
  "hasMore": false,
  "limit": 25,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/serviceRequests/SR0000066002/child/messages",
      "name": "messages",
      "kind": "collection"
    }
  ]
}
Back to Top